<?php
session_start();

if (!session_is_registered("clave_audio")) {
	include("../login.php");
	if (!$continuar) exit;
}

include('../db.php');

if(isset($_REQUEST['op'])){
	$operacion = $_REQUEST['op'];

// here I read the variables passed by the calling page.	
$catop_tipo=$_REQUEST['catop_tipo'];
$catop_label=$_REQUEST['catop_label'];
$catop_values=$_REQUEST['catop_values'];
$catop_orden=$_REQUEST['catop_orden'];

	
	if(db_connect()) {
		switch($operacion) {
			case "add":
				$sql = 'INSERT INTO shoop_cate_caracteristicas(catop_tipo, catop_label, catop_values, catop_orden) VALUES("' . $catop_tipo . '", "' . $catop_label . '", "' . $catop_values . '", "' . $catop_orden . '");';		
				break;

			case "edit":
				$sql = 'UPDATE shoop_cate_caracteristicas SET catop_tipo="' . $catop_tipo . '", catop_label="' . $catop_label . '", catop_values="' . $catop_values . '", catop_orden="' . $catop_orden . '" WHERE catop_categoria = ' . $_REQUEST['id'];		
				break;

			case "delete":
				$sql = 'DELETE FROM shoop_cate_caracteristicas WHERE catop_categoria = ' . $_REQUEST['id'];
				break;

			default:
				break;
		}
		$result = mysql_query($sql) or header('Location: ../error.php');
		header('Location: cate_caracteristicas.php');
	}
}
?>